Bug 537028 - pvclock msr values are not preserved across remote migration
Summary: pvclock msr values are not preserved across remote migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 552570 (view as bug list)
Depends On: 531701
Blocks: 553441
TreeView+ depends on / blocked
 
Reported: 2009-11-12 09:14 UTC by RHEL Program Management
Modified: 2013-01-09 22:00 UTC (History)
9 users (show)

Fixed In Version: kvm-83-105.el5_4.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 10:02:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0088 0 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-02-09 10:01:51 UTC

Description RHEL Program Management 2009-11-12 09:14:37 UTC
This bug has been copied from bug #531701 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 8 Eduardo Habkost 2010-01-06 20:59:14 UTC
*** Bug 552570 has been marked as a duplicate of this bug. ***

Comment 9 Keqin Hong 2010-01-14 05:23:56 UTC
Migrating from A to B, then the other way around,
 all tests (RHEL5-32/64 on kvm-83-105.el5_4.13/18) passed.

host A: 10.66.91.175
host B: 10.66.91.176
AMD Phenom(tm) 9600B Quad-Core Processor

CLI:
/usr/libexec/qemu-kvm -m 2048 -smp 2 -drive file=/mnt/f12_nfs/tmpRHEL5-64.qcow2,if=ide,cache=off,boot=on -net nic,model=rtl8139,vlan=1,macaddr=DE:AD:BE:EF:20:62 -net tap,vlan=1,script=/etc/qemu-ifup -boot c -uuid 2de75016-3ef0-4e54-9b32-1d747f85709b -usbdevice tablet -no-hpet -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -notify all -cpu qemu64,+sse2 -balloon none -vnc :1

Inside guest use "ssh $hostip date -u; date -u" to get host time and its time.

1.
guest RHEL5-32.qcow2
guest-kernel 18-164.9.1

1.1 host kvm-83-105.el5_4.13
A->B
------------------------------------------------------------------------
       |    host A                      |    guest   
------------------------------------------------------------------------
before |  Wed Jan 13 10:45:25 UTC 2010  |  Wed Jan 13 10:45:24 UTC 2010  
after  |  Wed Jan 13 10:52:42 UTC 2010  |  Wed Jan 13 10:52:40 UTC 2010 
------------------------------------------------------------------------
note: A->B means migrating from A to B;
"before" means before migration, and "after" means after migration.

B->A
------------------------------------------------------------------------
       |    host B                      |    guest   
------------------------------------------------------------------------
before |  Wed Jan 13 15:54:24 UTC 2010  |  Wed Jan 13 10:54:14 UTC 2010  
after  |  Wed Jan 13 16:00:20 UTC 2010  |  Wed Jan 13 11:00:09 UTC 2010 
------------------------------------------------------------------------


1.2 host kvm-83-105.el5_4.18
A->B
------------------------------------------------------------------------
       |    host A                      |    guest   
------------------------------------------------------------------------
before |  Wed Jan 13 11:23:22 UTC 2010  |  Wed Jan 13 11:23:20 UTC 2010  
after  |  Wed Jan 13 11:25:03 UTC 2010  |  Wed Jan 13 11:25:01 UTC 2010 
------------------------------------------------------------------------

B->A
------------------------------------------------------------------------
       |    host B                      |    guest   
------------------------------------------------------------------------
before |  Wed Jan 13 16:28:00 UTC 2010  |  Wed Jan 13 11:27:48 UTC 2010  
after  |  Wed Jan 13 16:29:53 UTC 2010  |  Wed Jan 13 11:29:41 UTC 2010 
------------------------------------------------------------------------


2.
guest RHEL5-64.qcow2
guest-kernel 18-164.9.1

2.1 host kvm-83-105.el5_4.13
A->B
------------------------------------------------------------------------
       |    host A                      |    guest   
------------------------------------------------------------------------
before |  Thu Jan 14 04:44:33 UTC 2010  |  Thu Jan 14 04:44:31 UTC 2010  
after  |  Thu Jan 14 04:45:45 UTC 2010  |  Thu Jan 14 04:45:44 UTC 2010 
------------------------------------------------------------------------

B->A
------------------------------------------------------------------------
       |    host B                      |    guest   
------------------------------------------------------------------------
before |  Thu Jan 14 09:48:05 UTC 2010  |  Thu Jan 14 04:47:53 UTC 2010  
after  |  Thu Jan 14 09:49:26 UTC 2010  |  Thu Jan 14 04:49:15 UTC 2010 
------------------------------------------------------------------------

2.2 host kvm-83-105.el5_4.18
A->B
------------------------------------------------------------------------
       |    host A                      |    guest   
------------------------------------------------------------------------
before |  Thu Jan 14 05:01:28 UTC 2010  |  Thu Jan 14 05:01:27 UTC 2010  
after  |  Thu Jan 14 05:02:35 UTC 2010  |  Thu Jan 14 05:02:33 UTC 2010
------------------------------------------------------------------------

B->A
------------------------------------------------------------------------
       |    host B                      |    guest   
------------------------------------------------------------------------
before |  Thu Jan 14 10:04:11 UTC 2010  |  Thu Jan 14 05:03:59 UTC 2010  
after  |  Thu Jan 14 10:05:15 UTC 2010  |  Thu Jan 14 05:05:03 UTC 2010
------------------------------------------------------------------------

Comment 12 errata-xmlrpc 2010-02-09 10:02:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0088.html


Note You need to log in before you can comment on or make changes to this bug.